.leaderboardsview .headerContainer {
    display: flex;
    margin: 15px;
    padding: 10px;
}

.leaderboardsview .leaderboardContainer .leaderboard .tableContainer.hide,
.leaderboardsview .messageContainer.hide,
.leaderboardsview .leaderboardContainer .leaderboard .filtersContainer .filterWrapper.hide,
.leaderboardsview .leaderboardContainer .leaderboard .rankAndDropdownContainer.hide {
    display: none;
}

.leaderboardsview .messageContainer {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 50vh;
}

.leaderboardsview .messageContainer .title {
    font-family: "Metropolis Bold";
    font-size: 28px;
    line-height: 32px;
    letter-spacing: 0.28px;
    color: #0d4962;
    margin-bottom: 20px;
    text-align: center;
}

.leaderboardsview .messageContainer .description {
    font-family: "Metropolis Regular";
    font-size: 20px;
    line-height: 13px;
    letter-spacing: 0.2px;
    color: #0d4962;
}

.leaderboardsview .headerContainer .gameIcon img {
    width: 80px;
    height: 80px;
    border-radius: 15px;
}

.leaderboardsview .headerContainer .titleContainer {
    display: flex;
    flex-direction: column;
    margin-inline: 12px;
    justify-content: center;
}

.leaderboardsview .headerContainer .titleContainer .title {
    font-family: "Metropolis Bold";
    font-size: 28px;
    line-height: 20px;
    letter-spacing: 0.28px;
    color: #0d4962;
}

.leaderboardsview .headerContainer .titleContainer .subTitle {
    font-family: "Metropolis Regular";
    font-size: 20px;
    line-height: 20px;
    letter-spacing: 0.3px;
    margin-top: 5px;
    color: #333;
}

.leaderboardsview .leaderboardContainer {
    margin: 15px;
}

.leaderboardsview .leaderboardContainer .leaderboard .rankAndDropdownContainer {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.leaderboardsview .leaderboardContainer .leaderboard .iconAndText {
    display: flex;
    justify-content: center;
    margin-bottom: 18px;
    cursor: pointer;
}

.leaderboardsview .leaderboardContainer .leaderboard .iconAndText.hide {
    visibility: hidden;
}

.leaderboardsview .leaderboardContainer .leaderboard .iconAndText .rankIcon {
    width: 32px;
    height: 32px;
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/rank_icon_blue_v1.svg);
    background-size: cover;
    background-repeat: no-repeat;
}

.leaderboardsview .leaderboardContainer .leaderboard .iconAndText .position {
    font-family: "Metropolis Bold";
    font-size: 20px;
    line-height: 16px;
    letter-spacing: 0.2px;
    color: #0d4962;
    padding-left: 10px;
    align-self: center;
}

.leaderboardsview .leaderboardContainer .leaderboard .filtersContainer {
    display: flex;
    justify-content: flex-start;
    gap: 20px;
    align-items: center;
    padding: 20px;
}

.leaderboardsview .leaderboardContainer .leaderboard .filtersContainer .filterWrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    background-color: #0d4962;
    width: min-content;
    border-radius: 4px;
    border-radius: 8px;
}

.leaderboardsview .leaderboardContainer .leaderboard .filtersContainer .filterWrapper .arrowIcon {
    position: absolute;
    right: 10px;
    width: 10px;
    height: 10px;
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/dropdown_icon_arrow_filled_blue.svg);
    background-size: 10px 10px;
    pointer-events: none;
}

.leaderboardsview
    .leaderboardContainer
    .leaderboard
    .filtersContainer
    .filterWrapper
    .selectFilter
    .gvinput
    .inputContainer {
    margin: 0;
    margin-top: 0;
}

.leaderboardsview
    .leaderboardContainer
    .leaderboard
    .filtersContainer
    .filterWrapper
    .selectFilter
    .gvinput
    .inputContainer
    select {
    border-color: #dfeff7;
    background-color: #dfeff7;
    color: #0d4962;
    font-family: "Metropolis Regular";
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 0.18px;
    height: 36px;
    padding: 2px 4px;
    border-radius: 8px;
    padding-inline: 20px 35px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    min-width: 175px;
    cursor: pointer;
}

.leaderboardsview
    .leaderboardContainer
    .leaderboard
    .filtersContainer
    .filterWrapper
    .selectFilter
    .gvinput
    .inputContainer
    select:focus-visible {
    outline: none;
}

.leaderboardsview
    .leaderboardContainer
    .leaderboard
    .filtersContainer
    .filterWrapper
    .selectFilter
    .gvinput
    .inputContainer
    .input-title {
    display: none;
}

.leaderboardsview .leaderboardContainer .leaderboard .table .tableRow .nameAndIcon {
    display: flex;
    align-items: center;
}

.leaderboardsview .leaderboardContainer .leaderboard .table .tableRow .nameAndIcon .thumbnail {
    min-height: 60px;
    min-width: 60px;
}

/* DARK MODE */
.dark .leaderboardsview .leaderboardContainer .leaderboard .iconAndText .rankIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/rank_icon_white_v1.svg);
}
.dark .leaderboardsview .messageContainer .title,
.dark .leaderboardsview .messageContainer .description,
.dark .leaderboardsview .headerContainer .titleContainer .title,
.dark .leaderboardsview .headerContainer .titleContainer .subTitle,
.dark .leaderboardsview .leaderboardContainer .leaderboard .iconAndText .position {
    color: white;
}
.dark
    .leaderboardsview
    .leaderboardContainer
    .leaderboard
    .filtersContainer
    .filterWrapper
    .selectFilter
    .gvinput
    .inputContainer
    select {
    border-color: #0d4962;
    background-color: #0d4962;
    color: white;
}
.dark
    .leaderboardsview
    .leaderboardContainer
    .leaderboard
    .filtersContainer
    .filterWrapper
    .arrowIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/dropdown_icon_arrow_filled_white.svg);
}
